<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ details.name }}</h1>
            <a href="{% url 'todo_list_update' details.id %}">Edit</a>
            <a href="{% url 'todo_list_delete' details.id %}">Delete</a>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in details.items.all %}
                    <tr>
                        <td>{{ item.task }}</td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor%}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
